Bug 165864 - resume won't work with label'd swap
resume won't work with label'd swap
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2005-08-12 17:42 EDT by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 16:52:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for LABEL= matching cut&pasto in swsuspdev (590 bytes, patch)
2005-08-19 15:19 EDT, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Jeremy Katz 2005-08-12 17:42:52 EDT
The label/uuid finder in nash doesn't work with swap partitions.
Comment 1 Alexandre Oliva 2005-08-19 15:19:31 EDT
Created attachment 117923 [details]
fix for LABEL= matching cut&pasto in swsuspdev

Probably not a fix for the bug, but this at least silences the incorrect
attempt to readlink a LABEL= swap device.
Comment 2 Karel Zak 2005-11-14 05:52:33 EST
Note that for information about filesystems you can use the /sbin/blkid command
(the mount and swapon use same method for work with LABELs -- so it's well
tested I hope reliable way).

# /sbin/blkid -l -t LABEL=swap | cut -d : -f 1
/dev/hda6

  --> returns a first device where LABEL="swap" (same way you can use for UUID)

/sbin/blkid -l -t TYPE=swsuspend | cut -d : -f 1

  --> returns a first device where filesystem type is "swsuspend" (S1SUSPEND or
S2SUSPEND header).

It might help you improve your initrd scripts.

Note You need to log in before you can comment on or make changes to this bug.